Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## it.csi.mddtools.datagen
Enum CacheabilityTypes

    java.lang.Object
      java.lang.Enum<CacheabilityTypes>
          it.csi.mddtools.datagen.CacheabilityTypes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CacheabilityTypes>, org.eclipse.emf.common.util.Enumerator

    public enum CacheabilityTypes

extends java.lang.Enum<CacheabilityTypes>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Cacheability Types', and utility methods for working with them.

See Also:
  `DatagenPackage.getCacheabilityTypes()`

Enum Constant Summary
`ALMOST_STABLE_DATA` The 'ALMOST STABLE DATA' literal object
`HIGHLY_VARIABLE_DATA` The 'HIGHLY VARIABLE DATA' literal object

Field Summary
`static int` | `ALMOST_STABLE_DATA_VALUE` The 'ALMOST STABLE DATA' literal value
`static int` | `HIGHLY_VARIABLE_DATA_VALUE` The 'HIGHLY VARIABLE DATA' literal value
`static java.util.List<CacheabilityTypes>` | `VALUES` A public read-only list of all the 'Cacheability Types' enumerators

Method Summary
`static CacheabilityTypes` | `get(int value)` Returns the 'Cacheability Types' literal with the specified integer value
`static CacheabilityTypes` | `get(java.lang.String literal)` Returns the 'Cacheability Types' literal with the specified literal value
`static CacheabilityTypes` | `getByName(java.lang.String name)` Returns the 'Cacheability Types' literal with the specified name
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
`static CacheabilityTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CacheabilityTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIGHLY_VARIABLE_DATA

    public static final CacheabilityTypes HIGHLY_VARIABLE_DATA

  The 'HIGHLY VARIABLE DATA' literal object.

  See Also:
    `HIGHLY_VARIABLE_DATA_VALUE`

### ALMOST_STABLE_DATA

    public static final CacheabilityTypes ALMOST_STABLE_DATA

  The 'ALMOST STABLE DATA' literal object.

  See Also:
    `ALMOST_STABLE_DATA_VALUE`

Field Detail

### HIGHLY_VARIABLE_DATA_VALUE

    public static final int HIGHLY_VARIABLE_DATA_VALUE

  The 'HIGHLY VARIABLE DATA' literal value.

  If the meaning of 'HIGHLY VARIABLE DATA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HIGHLY_VARIABLE_DATA`, Constant Field Values

### ALMOST_STABLE_DATA_VALUE

    public static final int ALMOST_STABLE_DATA_VALUE

  The 'ALMOST STABLE DATA' literal value.

  If the meaning of 'ALMOST STABLE DATA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALMOST_STABLE_DATA`, Constant Field Values

### VALUES

    public static final java.util.List<CacheabilityTypes> VALUES

  A public read-only list of all the 'Cacheability Types' enumerators.

Method Detail

### values

    public static final CacheabilityTypes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CacheabilityTypes c : CacheabilityTypes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CacheabilityTypes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static CacheabilityTypes get(java.lang.String literal)

  Returns the 'Cacheability Types' literal with the specified literal value.

### getByName

    public static CacheabilityTypes getByName(java.lang.String name)

  Returns the 'Cacheability Types' literal with the specified name.

### get

    public static CacheabilityTypes get(int value)

  Returns the 'Cacheability Types' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<CacheabilityTypes>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD